Skip to content
Ona Docs

ListRunnerPolicies

client.runners.policies.list(PolicyListParams { token, pageSize, pagination, runnerId } params, RequestOptionsoptions?): PoliciesPage<RunnerPolicy { groupId, role } >
POST/gitpod.v1.RunnerService/ListRunnerPolicies

Lists policies for a runner.

Use this method to:

  • View access controls
  • Check policy configurations
  • Audit permissions

Examples

  • List policies:

    Shows all policies for a runner.

    runnerId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
    pagination:
      pageSize: 20
ParametersExpand Collapse
params: PolicyListParams { token, pageSize, pagination, runnerId }
token?: string

Query param

pageSize?: number

Query param

maximum100
minimum0
runnerId?: string

Body param: runner_id specifies the project identifier

formatuuid
ReturnsExpand Collapse
RunnerPolicy { groupId, role }
groupId?: string
formatuuid
role?: RunnerRole

role is the role assigned to the group

One of the following:
"RUNNER_ROLE_UNSPECIFIED"
"RUNNER_ROLE_ADMIN"
"RUNNER_ROLE_USER"

ListRunnerPolicies

import Gitpod from '@gitpod/sdk';

const client = new Gitpod({
  bearerToken: process.env['GITPOD_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const runnerPolicy of client.runners.policies.list({
  pagination: { pageSize: 20 },
  runnerId: 'd2c94c27-3b76-4a42-b88c-95a85e392c68',
})) {
  console.log(runnerPolicy.groupId);
}
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "policies": [
    {
      "groupId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "role": "RUNNER_ROLE_UNSPECIFIED"
    }
  ]
}
Returns Examples
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "policies": [
    {
      "groupId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "role": "RUNNER_ROLE_UNSPECIFIED"
    }
  ]
}